Example #1
0
        public static List <SectionSegmentLabel> GetSectionSegmentLabels(Autodesk.AutoCAD.DynamoNodes.Document document)
        {
            List <SectionSegmentLabel> retLabels = new List <SectionSegmentLabel>();

            foreach (DBObject dbObj in GetLabelStylesAsDBObjects(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.SectionLabelStyles.SegmentLabelStyles))
            {
                SectionSegmentLabel labelObject = new SectionSegmentLabel(dbObj, false);
                retLabels.Add(labelObject);
            }
            return(retLabels);
        }
Example #2
0
        public static SectionSegmentLabel ByName(Autodesk.AutoCAD.DynamoNodes.Document document, string labelStyleName)
        {
            SectionSegmentLabel retLabel = new SectionSegmentLabel(DBObjectByName(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.SectionLabelStyles.SegmentLabelStyles, labelStyleName), false);

            return(retLabel);
        }
Example #3
0
        public static SectionSegmentLabel ByIndex(Autodesk.AutoCAD.DynamoNodes.Document document, int index)
        {
            SectionSegmentLabel retLabel = new SectionSegmentLabel(DBObjectByIndex(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.SectionLabelStyles.SegmentLabelStyles, index), false);

            return(retLabel);
        }